<div class="mb-0" style="margin-top: 20px;">
  <div style="border: 1px solid #979797; padding: 10px 20px; margin-bottom: 20px;">
    <kendo-pdf-export #pdf paperSize="A4" margin="0.6cm">
      <div #exportContent [innerHTML]="generatedPreview">
      </div>
    </kendo-pdf-export>
  </div>

  <div class="app-popup-footer d-flex">
    <div class="flex-fill">
      <button mat-stroked-button class="mat-stroked-button-delete" (click)="deleteLetter()">
        Delete
      </button>
    </div>

    <button mat-stroked-button [matMenuTriggerFor]="aboveMenu" color="accent" class="mr-2">
      <span>Export</span>
      <span class="k-icon k-i-arrow-60-down"></span>
    </button>
    <mat-menu #aboveMenu="matMenu" yPosition="above">
      <button mat-menu-item (click)="export2Word(exportContent.innerHTML, 'letter')">WORD</button>
      <mat-divider></mat-divider>
      <button mat-menu-item (click)="pdf.saveAs('letter.pdf')">PDF</button>
    </mat-menu>

    <button mat-stroked-button color="accent" class="mr-2">
      Email
    </button>

    <button mat-raised-button color="accent">
      Print
    </button>
  </div>
</div>

<ng-template #deleteConfirm>
  <div style="padding: 20px;">
    Deleted letter cannot be restored.
  </div>
</ng-template>
